package com.zfire.jiasm.syncdata.download.order;


import com.zfire.jiasm.syncdata.gree.recycle.RecycleAssignLogic;
import com.zfire.jiasm.syncdata.gree.recycle.RecycleAssignParamBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 格力品牌回收工单下载
 */
@Slf4j
@Component
public class RecycleDownload {
    @Autowired
    RecycleAssignLogic recycleAssignLogic;


    // 1：下载回收工单数据
    @Scheduled(fixedDelay = 1 * 5 * 1000)
    public void download() throws Exception {
        if (1 == 1) {
            return;
        }

        RecycleAssignParamBean recycleAssignParamBean = new RecycleAssignParamBean();
        // type说明： all--全量  active--获取未完工/未关闭/未作废的工单  getExtend--获取更新数据：
        recycleAssignParamBean.setType("getExtend");
        recycleAssignParamBean.setPage("1");
        recycleAssignParamBean.setPageSize("100");
        recycleAssignLogic.assign(recycleAssignParamBean);
    }


}
